package cn.superdesk.uniorder.dubbo.provider.organisation;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.organisation.SysCliqueXInvoice;
import cn.superdesk.uniorder.dto.param.organisation.SysCliqueXInvoiceParam;
import cn.superdesk.uniorder.dubbo.facade.organisation.DubboSysCliqueXInvoiceService;
import cn.superdesk.uniorder.service.organisation.SysCliqueXInvoiceService;
import cn.superdesk.uniorder.common.numerical.AnBeanUtils;
import com.alibaba.dubbo.config.annotation.Service;
import com.github.pagehelper.PageInfo;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2021-05-13 19:10:28
 * @UpdateUser: linjinyu
 * @UpdateDate: 2021-05-13 19:10:28
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Service(version = "1.0.0", retries = -1, timeout = 10000)
public class DubboSysCliqueXInvoiceServiceImpl implements DubboSysCliqueXInvoiceService {

	@Autowired
	private SysCliqueXInvoiceService sysCliqueXInvoiceService;


	/****************************************** extends BaseService 部分 start ******************************************/

	@Override
	public void addObj(SysCliqueXInvoiceParam param) {

		SysCliqueXInvoice sysCliqueXInvoice = AnBeanUtils.copy(param, SysCliqueXInvoice.class);
		sysCliqueXInvoiceService.insertSelective(sysCliqueXInvoice);

	}

	@Override
	public void updateObj(SysCliqueXInvoiceParam param) {

		SysCliqueXInvoice sysCliqueXInvoice = AnBeanUtils.copy(param, SysCliqueXInvoice.class);
		sysCliqueXInvoiceService.updateByPrimaryKeySelective(sysCliqueXInvoice);
	}

	@Override
	public void deleteObj(Long id) {
		sysCliqueXInvoiceService.deleteObj(id);
	}

	@Override
	public SysCliqueXInvoice findById(Long id) {
		return sysCliqueXInvoiceService.findById(id);
	}

	@Override
	public PageInfo<SysCliqueXInvoice> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize) {
		return sysCliqueXInvoiceService.findByPaging(conditions, pageNun, pageSize);
	}

	@Override
	public List<SysCliqueXInvoice> findAll(Map<String, Object> queryMap) {

		return sysCliqueXInvoiceService.findAll(queryMap);
	}

	/****************************************** extends BaseService 部分   end ******************************************/


	@Override
	public void addSysCliqueXInvoice(SysCliqueXInvoiceParam param) {

		SysCliqueXInvoice sysCliqueXInvoice = AnBeanUtils.copy(param, SysCliqueXInvoice.class);
		sysCliqueXInvoiceService.addSysCliqueXInvoice(sysCliqueXInvoice);
	}

	@Override
	public void updateSysCliqueXInvoice(SysCliqueXInvoiceParam param) {

		SysCliqueXInvoice sysCliqueXInvoice = AnBeanUtils.copy(param, SysCliqueXInvoice.class);
		sysCliqueXInvoiceService.updateSysCliqueXInvoice(sysCliqueXInvoice);
	}

	@Override
	public void deleteSysCliqueXInvoice(Long id) {
		sysCliqueXInvoiceService.deleteSysCliqueXInvoice(id);
	}

	@Override
	public SysCliqueXInvoice findSysCliqueXInvoiceById(Long id) {
		return sysCliqueXInvoiceService.findSysCliqueXInvoiceById(id);
	}

	@Override
	public R<List<SysCliqueXInvoice>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize) {
		return sysCliqueXInvoiceService.pageQuery(conditions, pageNun, pageSize);

	}
}
